Updating Message Status
Updating the status of an inbox message
The PUT /v3/safemail/inbox/{messageId}/status endpoint is used to update the status of a SafeMail inbox message.
PUT /v3/safemail/inbox/{messageId}/status
Authorization: Basic ${ base64(apiKey + ':' + secretKey) }
Content-Type: application/json
The request body is the new status as a JSON string. Can be one of: "NEW", "PROCESSING", "DONE".
Request example:
"PROCESSING"
Response example:
HTTP/2.0 204 No Content
""
An unknown or deleted message gives 404 Not Found.